Skip Menu |
 

This queue is for tickets about the Module-Build CPAN distribution.

Report information
The Basics
Id: 14386
Status: resolved
Priority: 0/
Queue: Module-Build

People
Owner: Nobody in particular
Requestors: dagolden [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in:
  • 0.27_01
  • 0.27_02
Fixed in: (no value)



Subject: scripts backwards compatibility breaks script_files
Download (untitled) / with headers
text/plain 319b
The attempt to be backwards compatible breaks script_files. $p->{scripts} always exists as undef, so this line always blows away any specified script_files: $p->{script_files} = delete $p->{scripts} if exists $p->{scripts}; Should be instead: $p->{script_files} = delete $p->{scripts} if defined $p->{scripts};
Thanks, I've made the fix. -Ken


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.